{% extends 'profile/layouts/admin/admin_layout.html' %}

{% block css %}
    <style>
        div#news-content > p > img{
            max-width: 100% !important;
            height: auto  !important;
        }
    </style>
{% endblock css %}

{% block navbar %}
    {% include 'profile/layouts/admin/navbar.html' %}
{% endblock navbar %}

{% block main %}
    <nav aria-label="breadcrumb">
        <ol class="breadcrumb">
            <li class="breadcrumb-item"><a href="{% url 'profile:admin_home' %}">Home</a></li>
            <li class="breadcrumb-item"><a href="{% url 'profile:admin_keunggulan' %}">Berita</a></li>
            <li class="breadcrumb-item active" aria-current="page">Detail</li>
        </ol>
    </nav>

    {% if messages %}
        {% for message in messages %}
            <div class="alert {{ message.tags }} my-2" role="alert">
                {{message}}
                <button type="button" class="close" data-dismiss="alert" aria-label="Close">
                    <span aria-hidden="true">&times;</span>
                </button>
            </div>  
        {% endfor %}
    {% endif %}

    {% if news %}
        <div class="text-right pt-3">
            {% if news.deleted_at %}
                <div class="btn btn-success" onclick="restore_(`{{ news.judul }}`, '{{ news.id }}')"><i class="bi bi-arrow-counterclockwise"></i> Pulihkan</div>
                {% if request.user.is_staff %}
                    <div class="btn btn-danger" onclick="delete_('permanent_delete', `{{ news.judul }}`, '{{ news.id }}')"><i class="bi bi-trash"></i> Hapus Permanen</div>
                {% endif %}
            {% else %}
                <a href="{% url 'profile:admin_keunggulan_edit' news.id %}"> 
                    <button type="button" class="btn btn-info my-2"><i class="bi bi-pencil"></i> Edit</button>
                </a>
                <div class="btn btn-danger" onclick="delete_('soft_delete', `{{ news.judul }}`, '{{ news.id }}')"><i class="bi bi-archive"></i> Arsipkan</div>
            {% endif %}
        </div>

        <!-- <input type="hidden" id="news-slug" value="{{ news.slug }}"> -->
        <div class="py-3 mb-5">
            <div class="card">
                <div class="card-body">
                    <img src="{{ news.image.url }}" class="img-fluid w-100 mb-3" alt="Responsive image">
                    <h2 class="text-dark">{{ news.judul }}</h2>
                    <hr>
                    <div id="news-content">
                        {{ news.keterangan | safe }} 
                    </div>
                </div>
            </div>
        </div>
    {% else %}
        <h1>BERITA TIDAK DITEMUKAN</h1>
    {% endif %}

{% endblock main %}

{% if news.judul %}
    {% block scripts_bawah %}
        <script>
            function restore_(nama, id){
                Swal.fire({
                    title: `Apakah anda yakin ingin memulihkan file ${nama}?`,
                    showCancelButton: true,
                    confirmButtonText: 'Pulihkan',
                    cancelButtonText: 'Batal',
                    }).then((result) => {
                    if (result.isConfirmed) {
                        $.ajax({
                            url: `/manage_panel/keunggulan/restore/${id}`,
                            data: {},
                            dataType: "html",
                            timeout: 10000,
                            beforeSend: function() {
                                Swal.fire({
                                    title: 'Memproses.........',
                                    allowEscapeKey: false,
                                    allowOutsideClick: false,
                                    showCancelButton: false,
                                    showConfirmButton: false,
                                    onOpen: () => {
                                        swal.showLoading();
                                    }
                                });
                            },
                            success: function(response){
                                Swal.fire(`Data Keunggulan berhasil dipulihkan!`, '', 'success');
                                setTimeout(function(){
                                    window.location.href = "/manage_panel/keunggulan/";
                                }, 2000); 
                            },
                            error: function (xhr, ajaxOptions, thrownError) {
                                Swal.fire(`Data Keunggulan dipulihkan!`, '', 'error');
                            }
                        });
                        
                    }
                });
            }
            function delete_(action, nama, id){
                let pesan = action == 'soft_delete' ? "arsipkan" : "hapus";
                let confirmation = action == 'soft_delete' ? "Arsipkan" : "Hapus";
                Swal.fire({
                    title: `Apakah kamu yakin ingin meng${pesan} file ${nama}?`,
                    showCancelButton: true,
                    confirmButtonText: confirmation,
                    cancelButtonText: 'Batal',
                    }).then((result) => {
                    if (result.isConfirmed) {
                        $.ajax({
                            url: `/manage_panel/keunggulan/${action}/${id}`,
                            data: {},
                            dataType: "html",
                            timeout: 10000,
                            beforeSend: function() {
                                Swal.fire({
                                    title: 'Memproses.........',
                                    allowEscapeKey: false,
                                    allowOutsideClick: false,
                                    showCancelButton: false,
                                    showConfirmButton: false,
                                });
                                Swal.showLoading();
                            },
                            success: function(response){
                                Swal.fire(`Data Keunggulan berhasil di${pesan}!`, '', 'success');
                                setTimeout(function(){
                                    window.location.href = "/manage_panel/keunggulan/";
                                }, 2000); 
                            },
                            error: function (xhr, ajaxOptions, thrownError) {
                                Swal.fire(`Data Keunggulan di${pesan}!`, '', 'error');
                            }
                        });
                        
                    }
                });
            }
        </script>
    {% endblock scripts_bawah %}
{% endif %}

{% block footer %}
    {% include 'profile/layouts/admin/footer.html' %}
{% endblock footer %}